Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.datacache.plugins
Class TCPCache

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.datacache.plugins.LocalCache
            |
            +--com.solarmetric.kodo.runtime.datacache.plugins.DistributedCache
                  |
                  +--com.solarmetric.kodo.runtime.datacache.plugins.SocketDistributedCache
                        |
                        +--com.solarmetric.kodo.runtime.datacache.plugins.TCPCache

All Implemented Interfaces:
  Configurable, DataCache

public class TCPCache
extends SocketDistributedCache

A distributed cache implementation that uses TCP for broadcasting change notifications.

Inner classes inherited from class com.solarmetric.kodo.runtime.datacache.plugins.SocketDistributedCache
`SocketDistributedCache.HostAddress, SocketDistributedCache.SocketCacheListener`

Fields inherited from class com.solarmetric.kodo.runtime.datacache.plugins.LocalCache
`cache`

Constructor Summary
`TCPCache()`

Method Summary
`protected SocketDistributedCache.SocketCacheListener` | `newSocketCacheListener()` Creates a new SocketCacheListener configured to listen on the appropriate port/protocol for a given SocketDistributedCache implementation.
`protected void` | `sendUpdatePacket(byte[] bytes)` Sends a change notification packet to other machines in this cache cluster.
`void` | `setAddresses(String names)` Sets the list of addresses to which this cache will broadcast to the values in the comma-separated `names` list.

Methods inherited from class com.solarmetric.kodo.runtime.datacache.plugins.SocketDistributedCache
`broadcastUpdate, endConfiguration, getID, getLocalhost, getPort, setPort, startConfiguration`

Methods inherited from class com.solarmetric.kodo.runtime.datacache.plugins.DistributedCache
`batchUpdate, log, log, receivedBatchUpdate`

Methods inherited from class com.solarmetric.kodo.runtime.datacache.plugins.LocalCache
`clear, close, containsKey, get, getCacheMap, getCacheSize, newCacheMap, pin, put, remove, removeAll, setCacheSize, unpin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPCache

    public TCPCache()
             throws UnknownHostException

Method Detail

### setAddresses

    public void setAddresses(String names)
                      throws UnknownHostException

  Sets the list of addresses to which this cache will broadcast to the values in the comma-separated `names` list.

### sendUpdatePacket

    protected void sendUpdatePacket(byte[] bytes)

  Description copied from class: `SocketDistributedCache`
  Sends a change notification packet to other machines in this cache cluster.
  Overrides:
    `sendUpdatePacket` in class `SocketDistributedCache`

### newSocketCacheListener

    protected SocketDistributedCache.SocketCacheListener newSocketCacheListener()
                                                                         throws Exception

  Description copied from class: `SocketDistributedCache`
  Creates a new SocketCacheListener configured to listen on the appropriate port/protocol for a given SocketDistributedCache implementation.
  Overrides:
    `newSocketCacheListener` in class `SocketDistributedCache`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.